Bug 209258 - Username in unlock dialog box appears as '%R'
Username in unlock dialog box appears as '%R'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-04 01:47 EDT by Saikat Guha
Modified: 2015-01-14 18:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 00:11:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2006-10-04 01:47:58 EDT
Description of problem:
The unlock dialog box doesn't show the correct user name. It simply shows the
characters '%R' (without the quotes) where the name should be shown.

The authentication method used is NIS. 
Other places where the username should show up does indeed show the username
e.g. "Log Out <username>..." where <username> is replaced with the expected value.

Also, the unlock dialog box is not themed even when using the fedora-bubbles
screensaver (screensavers-system). Setting
/app/gnome-screensaver/lock_dialog_theme = "system" re-enables the fedora look
and feel for the unlock dialog.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.16.0-7.fc6

How reproducible:


Steps to Reproduce:
1.Enable NIS authentication
2.Lock screen
3.Attempt to unlock screen
  
Actual results:
Unthemed unlock dialog shows up with the literal string '%R'

Expected results:
A fedora look and feel themed dialog with the proper username instead of '%R'

Additional info:
Comment 1 Saikat Guha 2006-10-04 01:48:53 EDT
Additional info:
user_switch_enabled is NOT set.
Comment 2 Matthew Miller 2007-04-06 13:09:23 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 3 Saikat Guha 2007-04-06 13:40:54 EDT
This issue is still present in the latest Rawhide.

gnome-screensaver-2.18.0-2.fc7.x86_64
Comment 4 Matthew Miller 2007-04-06 13:48:54 EDT
Thanks.
Comment 5 Matthias Clasen 2008-05-06 00:11:24 EDT
gnome-screensaver-2.22.1-1.fc9 handles the user name correctly.

Note You need to log in before you can comment on or make changes to this bug.